function init(hero) {
    hero.setName("Robin/Jason Todd");
    hero.setAliases("Robin 2");
    hero.setTier(5);
    hero.setVersion("\u00A74\u00A7lT\u00A76\u00A7le\u00A7a\u00A7le\u00A7d\u00A7ln \u00A7b\u00A7lT\u00A7a\u00A7li\u00A76\u00A7lt\u00A7d\u00A7la\u00A7b\u00A7ln\u00A74\u00A7ls\u00A7r");
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.setPrimaryEquipment("fiskheroes:grappling_gun");
    
    hero.addPowers("mvh:ttrobin_jason");
    hero.addAttribute("PUNCH_DAMAGE", 7.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 6.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 3.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("RAGE", "Anti-Fear Toxin", 2);

    hero.setDefaultScale(0.90);
    
    hero.setHasPermission(hasPermission);
    hero.addAttributeProfile("BLOODLUST", rageProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}
function isModifierEnabled(entity, modifier) {
    if (modifier.name() == "fiskheroes:transformation|bloodlust") {
        var bloodlust = entity.getData("mvh:dyn/bloodlust");
        return (modifier.id() == "bloodlust" ? bloodlust : !bloodlust);
    }
}
function rageProfile(profile) {
    profile.addAttribute("FALL_RESISTANCE", 5, 1);
    profile.addAttribute("PUNCH_DAMAGE", 7.5, 0);
    profile.addAttribute("WEAPON_DAMAGE", 8.0, 1);
    profile.addAttribute("SPRINT_SPEED", 0.6, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("mvh:dyn/bloodlust") ? "BLOODLUST" : null;
}
